fso-frameworkd (0.9.5.9+git20110512-5) unstable; urgency=high

  * Fix DBus permissions (Closes: CVE-2014-8156)

 -- Sebastian Reichel <sre@debian.org>  Tue, 20 Jan 2015 14:58:02 +0100

fso-frameworkd (0.9.5.9+git20110512-4) unstable; urgency=low

  * make fso-frameworkd-gta01 and fso-frameworkd-gta02 armel only,
    since the devices only work with armel and the packages dependencies
    are only available for armel (Closes: #665900).
  * remove cdbs from build-depends, since Rico switched to debhelper

 -- Sebastian Reichel <sre@debian.org>  Wed, 28 Mar 2012 05:03:43 +0200

fso-frameworkd (0.9.5.9+git20110512-3) unstable; urgency=low

  * add python-alsaaudio to recommends (Closes: #560698, #591036)
  * add conflict between fso-frameworkd and fso-config-gta01 (Closes: #646111)
  * add conflict between fso-frameworkd and fso-config-gta02 (Closes: #650829)
  * update debian standards version to 3.9.3 

 -- Sebastian Reichel <sre@debian.org>  Wed, 07 Mar 2012 11:23:38 +0100

fso-frameworkd (0.9.5.9+git20110512-2) unstable; urgency=low

  * fso-frameworkd-gta0X should conflict each other 
  * include missing configuration files
  * use debhelper

 -- Rico Rommel <rico@bierrommel.de>  Sun, 16 Oct 2011 10:16:48 +0200

fso-frameworkd (0.9.5.9+git20110512-1) unstable; urgency=low

  [ Timo Jyrinki ]
  * Add conflicts between fso-frameworkd-gta01 <-> gta02

  [ Rico Rommel ]
  * new upstrem release
  * fixed lintian warnings
  * new package fso-frameworkd-gta01
  * newmessage-trigger from shr
  * bump standards to 3.9.2
  * add Rico Rommel <rico@bierrommel.de> to uploaders

 -- Rico Rommel <rico@bierrommel.de>  Sat, 25 Jun 2011 08:33:52 +0200

fso-frameworkd (0.9.5.9+git20100131-4) pkg-fso; urgency=low

  * Fix the last patch 
  * Debian Standards Version 3.8.3 -> 3.8.4
  * DM-Upload-Allowed: yes

 -- Sebastian Reichel <elektranox@gmail.com>  Tue, 23 Feb 2010 11:06:30 +0100

fso-frameworkd (0.9.5.9+git20100131-3) pkg-fso; urgency=low

  * add patch to fix race condition of ogsmd (thanks to
    Jose Luis Perez Diez)

 -- Sebastian Reichel <elektranox@gmail.com>  Sun, 21 Feb 2010 23:46:33 +0100

fso-frameworkd (0.9.5.9+git20100131-2) pkg-fso; urgency=low

  * add patch to fix opimd crashing on messages containing
    unicode (thanks arne anka)

 -- Sebastian Reichel <elektranox@gmail.com>  Sun, 21 Feb 2010 23:46:32 +0100

fso-frameworkd (0.9.5.9+git20100131-1) pkg-fso; urgency=low

  * New upstream version
   + opim remove "tel:"-prefix script has been added

 -- Sebastian Reichel <elektranox@gmail.com>  Sun, 31 Jan 2010 12:00:54 +0100

fso-frameworkd (0.9.5.9+git20100126-1) pkg-fso; urgency=low

  * New upstream version
   + opim 

 -- Sebastian Reichel <elektranox@gmail.com>  Wed, 26 Jan 2010 16:05:00 +0100

fso-frameworkd (0.9.5.9+git20090920-1) pkg-fso; urgency=low

  * New upstream release:
    + milestone5.5
    + first release using fso-usaged
  * debian/patches/08_typo-in-shebang-line.patch:
    - really removed now
  * Debian Standards Version 3.8.1 -> 3.8.3
  * Added myself to Uploaders
  * Provide fso-frameworkd in LSB header of init.d script

 -- Sebastian Reichel <elektranox@gmail.com>  Sun, 20 Sep 2009 21:13:00 +0200

fso-frameworkd (0.8.5.1-1) unstable; urgency=low

  * New upstream release: milestone 5.1.
  * debian/frameworkd.conf:
    - remove, use upstream example instead.
  * debian/patches/series: update.
  * debian/patches/01_adjust-etc-path-in-setup.py.patch:
    + refresh.
    + add missing patch description, thanks to lintian.
  * debian/patches/02_ascii-encode-in-gsm-channel.py.patch:
    + add missing patch description, thanks to lintian.
  * debian/patches/04_correct-dbus-paths-for-gypsy.patch:
    + refresh.
    + add missing patch description, thanks to lintian.
  * debian/patches/05_fix-installprefix-in-config.py.patch:
    + refresh.
    + add missing patch description, thanks to lintian.
  * debian/patches/07_dbus-access-via-busnames.patch:
    + add missing patch description, thanks to lintian.
  * debian/patches/08_typo-in-shebang-line.patch:
    - remove, applied upstream.
  * debian/patches/09_make-upstream-frameworkd.conf-generic.patch:
    + disable all specific services, so it can be provided by the
      fso-config-generic package.
  * debian/rules:
    + copy/clean conf/example/frameworkd.conf in debian/.

 -- Luca Capello <luca@pca.it>  Sat, 06 Jun 2009 19:50:35 +0200

fso-frameworkd (0.8.4.9-20090130-4) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Standards-Version to 3.8.1, no changes needed.
    + s/fso-sounds-openmoko-nonfree/fso-sounds-yue-base/ for the
      fso-config-general binary package.
    + correct typos in Description:.
    + fix capitalization for freesmartphone.org.
    + use freesmartphone.org instead of the FSO acronym.
    + minimize differences with non-freesmartphone.org packages in
      the last sentence of the long Description:.
  * debian/copyright:
    + update Debian copyright assignment to 2009.
  * debian/fso-frameworkd.preinst:
    + add "#DEBHELPER#" token, thanks to lintian.
  * debian/fso-sounds-none.postinst:
    + add "#DEBHELPER#" token, thanks to lintian.
  * debian/fso-sounds-none.prerm:
    + add "#DEBHELPER#" token, thanks to lintian.
  * debian/fso-sounds-none.README.Debian:
    + suggest fso-frameworkd documentation to use the ringtones.
  * debian/patches/series: update.
  * debian/patches/06_persist-in-var-lib.patch:
    + use freesmartphone.org instead of the FSO acronym.
  * debian/patches/08_typo-in-shebang-line.patch:
    + upstream commit b0c5547fd50b3cba2574a3f58c5e054f8d6dc27e,
      fix typo in framework/patters/null.py, thanks to lintian.
  * debian/README.Debian:
    + use freesmartphone.org instead of the FSO acronym.
  * debian/watch:
    + new file, thanks to lintian.

 -- Luca Capello <luca@pca.it>  Wed, 27 May 2009 23:30:08 +0200

fso-frameworkd (0.8.4.9-20090130-3) pkg-fso; urgency=low

  * Depend on fso-gsm0710muxd

 -- Joachim Breitner <nomeata@debian.org>  Fri, 20 Feb 2009 14:03:26 +0100

fso-frameworkd (0.8.4.9-20090130-2) pkg-fso; urgency=low

  * 07_dbus-access-via-busnames.patch: Adjust dbus config to work with the
    current version of dbus in Debian

 -- Joachim Breitner <nomeata@debian.org>  Tue, 03 Feb 2009 10:23:32 +0100

fso-frameworkd (0.8.4.9-20090130-1) pkg-fso; urgency=low

  * New upstream release. This is milestone 5.
  * This package does not contain any arch-specific parts. The wireless glue
    package is removed.
  * Fix "debian/copyright: mention that copyright holder of
    decorator.py is Michele Simionato" (Closes: #511471)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 02 Feb 2009 22:42:33 +0100

fso-frameworkd (0.8.4.3-20081215-1) pkg-fso; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 15 Dec 2008 23:59:43 +0100

fso-frameworkd (0.8.4.3-20081130-1) pkg-fso; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 30 Nov 2008 14:34:51 +0100

fso-frameworkd (0.8.4.3-20081123-1) pkg-fso; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 23 Nov 2008 12:26:47 +0100

fso-frameworkd (0.8.4.3-20081118-2) pkg-fso; urgency=low

  * Typo in openmoko-panel-plugin package name

 -- Joachim Breitner <nomeata@debian.org>  Tue, 18 Nov 2008 16:08:31 +0100

fso-frameworkd (0.8.4.3-20081118-1) pkg-fso; urgency=low

  * New snapshot from upstream stablization branch 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 18 Nov 2008 16:00:15 +0100

fso-frameworkd (0.8.4.3-1) UNRELEASED; urgency=low

  * New upstream release “milestone4”
  * Updated version number to reflect what they do in OE
  * Removed 06_backport-fix-for-fso-140.patch (was from upstream)
  * Removed 03_print-ntype-error-in-const.py.patch (solved upstream)
  * Added 06_persist-in-var-lib: Put persistent data in
    /var/lib/freesmartphone
  * Conflict with earlier versions of python2.5, due to #505318 in previous
    versions
  * Conflict with pre-milestone4 versions of openmoko-panel-plugins

 -- Joachim Breitner <nomeata@debian.org>  Tue, 11 Nov 2008 16:59:56 +0100

fso-frameworkd (0.2.0-git20080909-7) pkg-fso; urgency=low

  * FSO frameworkd is now device-agnostic!
  * debian/55-freerunner.rules: removed.
  * debian/control:
    + Recommends: the fso-config and fso-sounds virtual packages.
    + Replaces: previous versions.
    + new binary package fso-config-general.
    + new binary package fso-sounds-none.
    - remove gstreamer0.10-plugins-good, gstreamer0.10-plugins-bad
      and gstreamer0.10-plugins-ugly from Depends:, they must be
      pulled in by the fso-sounds-* packages, as they are specific
      to each sound format.
  * debian/frameworkd.conf:
    + now for a general and device-agnostic installation.
  * debian/fso-config-general.install: new file.
  * debian/fso-frameworkd.init:
    + do not start frameworkd if /etc/frameworkd.conf is not found,
      instead print a message and exit without error.
  * debian/fso-frameworkd.install:
    + install conf/example/frameworkd.conf in the document folder.
    - do not install the configuration files, they are now provided
      by the fso-config virtual package.
    - do not install the sound files, they are now provided by the
      fso-sounds virtual package.
  * debian/fso-frameworkd.preinst:
    + backup the old configuration rules files if they have been
      modified, since they are now provided by the fso-config
      virtual package.
  * debian/fso-sounds-none.*: new files.
  * debian/NEWS: new file.
  * debian/none.yaml: new file.
  * debian/README.Debian:
    + explain the need for /etc/frameworkd.conf.
    + explain what a fso-config-* package is and contains.
    + explain what a fso-sounds-* package is and contains.
    + explain how to create a local configuration for the sounds and
      register it as alternative with the highest priority.
  * debian/rules:
    + install fso-config-general files.
    + install fso-sounds-none files.
    - no more need to generate the debian/sounds/*.
  * debian/scenarios: removed.
  * debian/sounds.base64: removed (Closes: #495668).

 -- Luca Capello <luca@pca.it>  Wed, 05 Nov 2008 03:52:38 +0100

fso-frameworkd (0.2.0-git20080909-6) pkg-fso; urgency=low

  * debian/patches/series: update.
  * debian/patches/06_backport-fix-for-fso-140.patch:
    + backport upstream fix for GPRS (ticket #140), thanks to Martin
      Giraud-Sauveur <mgs-moko@wasabout.net> for having informed me
      and Timo Juhani Lindfors <timo.lindfors@iki.fi> for the patch.

 -- Luca Capello <luca@pca.it>  Wed, 08 Oct 2008 16:48:20 +0200

fso-frameworkd (0.2.0-git20080909-5) pkg-fso; urgency=low

  * Restore upstream sources, modifications to upstream files must
    be managed through a Debian-specific patch system.
  * The Debian patches are now managed through quilt.
  * debian/control:
    + Build-Depends: on quilt.
  * debian/frameworkd.conf: new file.
  * debian/fso-frameworkd.init: correct typo in stop clause.
  * debian/fso-frameworkd.install:
    + install debian/frameworkd.conf in /etc.
    + install debian/scenarios in /usr/share/openmoko.
    + install debian/sounds/* in /usr/share/sounds.
  * debian/patches/series: new file.
  * debian/patches/01_adjust-etc-path-in-setup.py.patch: new file.
  * debian/patches/02_ascii-encode-in-gsm-channel.py.patch: new file.
  * debian/patches/03_print-ntype-error-in-const.py.patch: new file.
  * debian/patches/04_correct-dbus-paths-for-gypsy.patch: new file.
  * debian/patches/05_fix-installprefix-in-config.py.patch: new file.
  * debian/rules:
    + adapt to quilt.
    + create SID sound files in debian/sounds.
  * debian/scenarios: new files.
  * debian/sounds.base64: new files.

 -- Luca Capello <luca@pca.it>  Sun, 05 Oct 2008 22:12:44 +0200

fso-frameworkd (0.2.0-git20080909-4) pkg-fso; urgency=low

  * Move to team maintenance: Debian FreeSmartphone.Org Team
    http://pkg-fso.alioth.debian.org
  * debian/control:
    + add myself to Uploaders:
    + update Vcs-* fields to fso-frameworkd
    + Build-Depends: on python-dev, thanks to Timo Juhani Lindfors
      <timo.lindfors@iki.fi> (Closes: #500044)
    + Depends: on ppp, thanks to Martin Giraud-Sauveur
      <mgs-moko@wasabout.net>

 -- Luca Capello <luca@pca.it>  Fri, 26 Sep 2008 17:40:02 +0200

fso-frameworkd (0.2.0-git20080909-3) pkg-fso; urgency=low

  * fixed installprefix for Debian, so frameworkd finds it sound files again

 -- Joachim Breitner <nomeata@debian.org>  Fri, 12 Sep 2008 14:48:53 +0200

fso-frameworkd (0.2.0-git20080909-2) pkg-fso; urgency=low

  * Fix self-made import bug in audio.py

 -- Joachim Breitner <nomeata@debian.org>  Fri, 12 Sep 2008 01:48:24 +0200

fso-frameworkd (0.2.0-git20080909-1) pkg-fso; urgency=low

  * New upstream release: milestone3
  * Left over patches:
    + ascii encode before sending to serial console
    + accept unknown ntypes
    + adjust Gypsy D-Bus names in /etc/dbus-1/system.d/frameworkd.conf
 
 -- Joachim Breitner <nomeata@debian.org>  Fri, 12 Sep 2008 00:31:17 +0200

fso-frameworkd (0.2.0-git20080805-8) pkg-fso; urgency=low

  * Add debian/pyversion, specifying 2.5

 -- Joachim Breitner <nomeata@debian.org>  Tue, 26 Aug 2008 22:48:58 +0200

fso-frameworkd (0.2.0-git20080805-7) pkg-fso; urgency=low

  * Brown paper bag bug: import sys

 -- Joachim Breitner <nomeata@debian.org>  Sat, 23 Aug 2008 17:57:54 +0200

fso-frameworkd (0.2.0-git20080805-6) pkg-fso; urgency=low

  * Make unknown number types non-fatal for now (Closes: #494781)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 23 Aug 2008 15:59:07 +0200

fso-frameworkd (0.2.0-git20080805-5) pkg-fso; urgency=low

  * Workaround for #90, revert when fixed upstream
  * Added copyright file and package description

 -- Joachim Breitner <nomeata@debian.org>  Sat, 16 Aug 2008 18:09:11 -0300

fso-frameworkd (0.2.0-git20080805-4) pkg-fso; urgency=low

  * Rename to fso-frameworkd
  * Split out arch-dependant fso-frameworkd-wireless-glue
  * Add gstreamer libs to Dependencies

 -- Joachim Breitner <nomeata@debian.org>  Tue, 12 Aug 2008 18:51:22 -0300

frameworkd (0.2.0-git20080805-3) pkg-fso; urgency=low

  * Explicitly depend on alsa-utils
  * Explicitly depend on dbus

 -- Joachim Breitner <nomeata@debian.org>  Mon, 11 Aug 2008 11:05:32 -0300

frameworkd (0.2.0-git20080805-2) pkg-fso; urgency=low

  [ Luca Capello ]
  * debian/control: add Vcs-* fields
  * debian/control: depend on gsm0710muxd and python-dbus
  * debian/frameworkd.init: convert to LSB format

  [ Joachim Breitner ]
  * Improved configuration file
  * Include udev rules file in frameworkd

  Cherry picked from upstream:
  * ogsmd: Convert ntype to int in SimRetrieveEntry like in
    SimRetrievePhonebook
  * Accept number type 185

 -- Joachim Breitner <nomeata@debian.org>  Mon, 11 Aug 2008 00:11:30 -0300

frameworkd (0.2.0-git20080805-1) pkg-fso; urgency=low

  [ Joachim Breitner ]
  * Unpack .sid file in rules
  * Debian changelog
  * Add gbp.conf file
  * Store .sid file as base64
  * Proper version number
  * install ringtone and depend on gst sid support

  [ Daniel Willmann ]
  * ousaged: Make the Bluetooth device actually (de-)activate bluetooth
  * ogsmd: Append the subscriber numbers as name, number tuple.
  * ogsmd: Use right method _rightHandSide in SimGetSimInfo

  [ Joachim Breitner ]
  * Include openmoko scenario files
  * hmm, commit --amend and merge do not seem to like each other
  * Proper ogsmd settings
  * ERROR-less config file
  * Install frameworkd.conf from the FSO image
  * Depend on python-gst0.10
  * adjust /etc path
  * Depend on python-yaml
  * Add init script
  * Depend on python-serial
  * Debian Checking

  [ Guillaume Chereau ]
  * Added test for opreferencesd

  [ Joachim Breitner ]
  * use framework in module path
  * Clean up more files

 -- Joachim Breitner <nomeata@debian.org>  Fri, 08 Aug 2008 11:22:51 -0300
